Loading...
Searching...
No Matches
osmium::StringMatcher::list Class Reference

`#include <string_matcher.hpp>`

Inheritance diagram for osmium::StringMatcher::list:
[legend]
Collaboration diagram for osmium::StringMatcher::list:
[legend]

## Public Member Functions

| list ()=default
| list (std::vector< std::string > strings)
list & | add_string (const char *str)
list & | add_string (const std::string &str)
bool | match (const char *test_string) const noexcept
template<typename TChar, typename TTraits>
void | print (std::basic_ostream< TChar, TTraits > &out) const

## Private Attributes

std::vector< std::string > | m_strings

## Detailed Description

Matches if the test string is equal to any of the stored strings.

## Constructor & Destructor Documentation

## list() [1/2]

osmium::StringMatcher::list::list | ( |  | ) |

explicitdefault

## list() [2/2]

osmium::StringMatcher::list::list | ( | std::vector< std::string > | strings | ) |

inlineexplicit

## Member Function Documentation

## add_string() [1/2]

list & osmium::StringMatcher::list::add_string | ( | const char * | str | ) |

inline

## add_string() [2/2]

list & osmium::StringMatcher::list::add_string | ( | const std::string & | str | ) |

inline

## match()

bool osmium::StringMatcher::list::match | ( | const char * | test_string | ) | const

inlinenoexcept

## print()

template<typename TChar, typename TTraits>

void osmium::StringMatcher::list::print | ( | std::basic_ostream< TChar, TTraits > & | out | ) | const

inline

## Member Data Documentation

## m_strings

std::vector<std::string> osmium::StringMatcher::list::m_strings

private

The documentation for this class was generated from the following file:

- include/osmium/util/string_matcher.hpp